Bug 19504 - pump doesn't disable interface on exit
pump doesn't disable interface on exit
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-21 02:39 EDT by Scott Renfro
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-20 11:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Renfro 2000-10-21 02:39:57 EDT
The background info for this is in Bug 19501.

When pump fails to renew a lease and then fails to get a new lease
for the interface, it exits.  Unfortunately, before exiting it does
not disable the interface or remove the IP address from the interface.

This (in combination with Bug 19501 and Bug 19502) leads to IP
address conflicts on a network. In the existing code, if the client
is unable to renew on the first attempt, it immediately tries to
get a new lease (which almost certainly fails for the same reason
the renew failed) and then exits.  The interface keeps running with
the expired lease's IP address. Sooner or later the DHCP server
will hand that address out to another host (although the server
and other client should really do an arp to see if it's already
taken although MS does not -- at least in some configs).  Since
pump has exited, it will not ever renew the lease.

I suspect the right thing to do (if the patch from Bug 19502 isn't
applied) may be to call pumpDisableInterface() before calling
exit(0) around pump.c:390.

-scott
Comment 1 Elliot Lee 2001-07-20 11:41:12 EDT
I can't find any places where pump exits without first calling the ifdown scripts...

Note You need to log in before you can comment on or make changes to this bug.